Subject: WINE (WINdows Emulator) Frequently Asked Questions
From: [email-masked] (Dave Gardner)
Date: Wed, 20 Jul 1994 21:42:08 GMT
Newsgroups: comp.emulators.announce,comp.emulators.ms-windows.wine,comp.os.386bsd.announce,comp.os.linux.announce,comp.windows.x.i386unix,comp.answers,news.answers

Archive-name: windows-emulation/wine-faq
Posting-Frequency: monthly
Last-modified: 30 June 1994 18:00:00 PDT
Version: 2.0

                      Wine Frequently Asked Questions

This is the FAQ (Frequently Asked Questions) for the Wine (WINdows
Emulator) project.  It contains both general and technical information
about Wine: project status, what it is and what it does, how to obtain and
configure and run it, and more.  Please read this FAQ carefully before
you post questions about Wine to any Unix newsgroup, to see if your
question is already answered here first. 

Please note that this issue of the FAQ is substantially changed from
previous issues.  This includes the reorganization and addition of more
comprehensive sections, which should allow you to find the answer to your
questions much faster.  And, it also contains a fairly comprehensive list
of MS Windows programs that will (partially or completely) run under Wine. 

This FAQ will be posted monthly to the following newsgroups: 

	comp.answers
	comp.emulators.announce
	comp.emulators.ms-windows.wine
	comp.os.386bsd.announce
	comp.os.linux.announce
	comp.windows.x.i386unix
	news.answers

and is also available by anonymous ftp from:

	tsx-11.mit.edu:/pub/linux/ALPHA/Wine/Wine.FAQ
	aris.com:/pub/linux/ALPHA/Wine/Wine.FAQ
	ftp.netcom.com:/pub/dgardner/Wine/Wine.FAQ

If you have any suggestions for corrections, changes, expansion or further
clarification of this FAQ, please send them to the Wine FAQ author and
maintainer listed in question 7.2 of this FAQ. 

------------------------------------------------------------------------------
                             TABLE OF CONTENTS
------------------------------------------------------------------------------

------------------------------------------------------------------------------
                                 SECTION 1
                               WHAT IS WINE?
------------------------------------------------------------------------------
1.1	What is Wine, and what is it supposed to do?
1.2	What does the word Wine stand for?
1.3	What is the current version of Wine?
1.4	When will Wine be ready for general distribution?

------------------------------------------------------------------------------
                                SECTION 2
                      WHAT PROGRAMS WILL WINE RUN?
------------------------------------------------------------------------------
2.1	Which MS Windows programs do Wine currently run?
2.2	Which MS Windows programs do you expect Wine never to be able to 
	run at all, and for what reason(s)?
2.3	Will MS Windows programs typically run faster or slower under Unix 
	and Wine than they do under MS-DOS and MS Windows?  Will certain 
	kinds of programs run slower or faster?
2.4	Are there any advantages or disadvantages to running MS Windows 
	applications under Wine that I should be aware of?
2.5	Will Wine support MS Windows networked applications that use Winsock?
2.6	I am a software developer who wants to use Unix to develop programs 
	rather than MS-DOS, but I need to write MS-DOS and MS Windows programs
	as well.  Will I be able to do this with Wine libraries?  Or will I 
	at least be able to run my favorite MS-DOS or MS Windows compiler 
	under under Wine to compile such programs?

------------------------------------------------------------------------------
                                   SECTION 3
             WHAT HARWARE/SOFTWARE DO I NEED TO HAVE TO USE WINE?
------------------------------------------------------------------------------
3.1	Under what operating system(s) will Wine run?
3.2	What minimum CPU must I have on my computer to be able to run Wine 
	and MS Windows applications smoothly?
3.3	How much disk space will the Wine source code and binaries take on my 
	hard drive?
3.4	How much RAM do I need to have on my Unix system to be able to run 
	Wine and MS Windows applications smoothly?
3.5	I have a Doublespaced or Stackered MS-DOS partition.  Can Wine run 
	MS Windows binaries located in such a partition?
3.6	Do I need to have a MS-DOS partition on my system to use Wine?  Does 
	MS Windows need to be loaded into that partition in order to run MS 
	Windows programs under Wine?
3.7	If Wine completely replaces MS Windows, will it duplicate all of the 
	functions of MS Windows?
3.8	Will I be able to install MS Windows application programs in any Unix 
	filesystem?
3.9	Will Wine run only under X, or can it run in character mode?
3.10	Will Wine run under any X window manager?
3.11	What happens when Chicago/Win4 is released?  Will 32-bit Chicago and 
	WinNT applications run under Wine?

------------------------------------------------------------------------------
                                    SECTION 4
                 HOW DO I GET, INSTALL, CONFIGURE AND USE WINE?
------------------------------------------------------------------------------
4.1	Where can I get Wine?
4.2	If I do not have an Internet account, how can I get Wine?
4.3	How do I install Wine on my hard drive?
4.4	How do I compile the Wine distribution source code?
4.5	How do I configure Wine to run on my system?
4.6	How do I run an MS Windows program under Wine?
4.7	I have installed and configured Wine, but Wine cannot find MS Windows 
	on my drive.  Where did I do wrong?
4.8	I think I have found a bug.  How do I report this bug to the Wine 
	programming team?
4.9	I was able to get various MS Windows programs to run, but their menus 
	do not work.  What is wrong?
4.10	I have run various MS Windows programs but since the program menus do 
	not work, how can I exit these programs?
4.11	How do I remove Wine from my computer?

------------------------------------------------------------------------------
                                    SECTION 5
                            WHERE CAN I GET MORE HELP?
------------------------------------------------------------------------------
5.1	Is there a Usenet newsgroup for Wine?
5.2	Is there a gopher site set up for Wine?
5.3	Is there a WWW site set up for Wine information?
5.4	Is there a mailing list for Wine?
5.5	How do I join and participate in the Wine mailing list?
5.6	How do I get off the Wine mailing list?

------------------------------------------------------------------------------
                                   SECTION 6
                                HOW CAN I HELP?
------------------------------------------------------------------------------

6.1	How can I help contribute to the Wine project, and in what way(s)?
6.2	I want to help beta test Wine.  How can I do this?
6.3	I have written some code that I would like to submit to the Wine 
	project. How do I go about doing this?

------------------------------------------------------------------------------
                                  SECTION 7
                        WHO IS RESPONSIBLE FOR WINE?
------------------------------------------------------------------------------
7.1	Who is responsible for writing and maintaining the Wine source code?
7.2	Who is responsible for writing and maintaining the Wine FAQ?
7.3	Who are the folks and organizations who have contributed money or 
	equipment to the Wine project?

------------------------------------------------------------------------------
                                  SECTION 1
                                WHAT IS WINE?
------------------------------------------------------------------------------

1.1	What is Wine, and what is it supposed to do?

Wine is both a program loader and an emulation library that will allow
Unix users to run MS Windows applications in a Unix environment.  The
program loader will load and execute an MS Windows application binary,
while the emulation library will take calls to MS Windows functions and
translate these into calls to Unix/X, so that equivalent functionality is
achieved. 

MS Windows binaries will run directly; there will be no need for machine
level emulation of program instructions.  Sun has reported better
performance with their version of WABI than is actually achieved under MS
Windows, so theoretically the same result is possible under Wine. 

------------------------------------------------------------------------------
1.2	What does the word Wine stand for?

The word Wine stands for WINdows Emulator.

------------------------------------------------------------------------------
1.3	What is the current version of Wine?

A new version of Wine is distributed weekly, on Tuesday or Wednesday. 

When downloading Wine from your ftp site of choice (see question 4.1 for
some of these choices), you can make sure you are getting the latest
version by watching the version numbers in the distribution filename.  For
instance, the distribution released on June 20, 1994 was called
Wine-940620.tar.gz.

Note that weekly patches are now available.  If you are current to the
previous version, you can download and apply just the current patch file
rather than the entire new distribtion.  The patch filenames follow the
same conventions as the weekly distribution, so watch those version
numbers! 

------------------------------------------------------------------------------
1.4	When will Wine be ready for general distribution?

Because Wine is being developed solely by volunteers, it is difficult to
predict when it will be ready for general distribution.  Or, as the Little
Old Winemaker says:  There will be no Wine before its time.  About 40
percent of the MS Windows API functions have been ported to Wine at the
current time (2nd quarter, 1994). 

------------------------------------------------------------------------------
                                 SECTION 2
                       WHAT PROGRAMS WILL WINE RUN?
------------------------------------------------------------------------------

2.1	Which MS Windows programs does Wine currently run?

Here is a short list of MS Windows games, found on the Cica ftp site, that
are known to run with some degree of success under Wine.  Please note that
since Wine is still under development, programs may break from week to
week, and this list is by no means complete as detailed here in this FAQ. 

Cica game programs know to run are:

alpha.zip, arachnid.zip, astero03.zip, atoms10.zip, blce12.zip,
brick3.zip, checkers.zip, columns.zip, cribbage.zip, cubic.zip,
deapsea.zip, lander3.zip, laser.zip, jewels.zip, light.zip, loopz11.zip,
macblast.zip, magic.zip, mines.zip, mschom12.zip, pensate.zip, pipe.zip,
poker.zip, reversi.zip, taipei.zip, tictacto.zip, tobor.zip, winslot.zip,
wineyes.zip, winpool.zip, wslot2.zip, yova10.zip

Cica game programs known to almost (but not quite) run are: 

abm_cmd.zip, atmoids.zip, bago317.zip, bangbang.zip, bcubes.zip, bg06.zip,
blkjack.zip, boxworld.zip, cstone10.zip, cweval10.zip, des4win.zip,
gradit10.zip, hangman.zip, herecome.zip, ishidot1.zip, kismet.zip,
kye2.zip, mb.zip, mrmind.zip, patumn14.zip, pent1020.zip, soko.zip,
roulette.zip, tiletrib.zip, tslot22.zip, winchs.zip, winjack.zip,
winpoker.zip, xword.zip, winttt.zip, yalife.zip, yow.zip

This comprehensive list (with liberal comments) is posted periodically to
the Usenet newsgroup comp.emulators.ms-windows.wine, under the message
subject Wine and Cica-Games Report #x (x represents a number, currently 3
at the time of this writing).  This list is compiled by Adriano
Azevedo-Filho <[email-masked]>, and is also posted for
download on the tsx-11 site and possibly its mirrors as detailed in
question 4.1, as filename: 

	WineAndCicaGames.[xxx].gz

where [xxx] is the issue number (currently 003 at the time of this
writing).  For an up-to-date list, please either read the mailing list or
ftp this file.  Do not rely on the information listed here, as things can
change weekly, while this FAQ is posted monthly. 

To the best of my knowledge at the time of this writing, no one is
compiling a comprehensive list of commercial MS Windows applications known
to run under Wine at this time.  However, it is known that the version of
Solitaire as distributed with the MS Windows program can partially run.  
If you know of others, please email the FAQ author/maintainer as noted in 
question 7.2 for inclusion in the next issue of this FAQ.

------------------------------------------------------------------------------
2.2	Which, if any, MS Windows programs do you expect Wine never to be 
	able to run at all, and for what reason(s)?

Any MS Windows program that requires a special enhanced mode device driver
(VxD) that cannot be rewritten specifically for Wine, will not run under
Wine. 

------------------------------------------------------------------------------
2.3	Will MS Windows programs typically run faster or slower under Unix 
	and Wine than they do under MS-DOS and MS Windows?  Will certain 
	kinds of programs run slower or faster?

Programs should typically run at about the same speed under Wine as they
do under MS Windows. 

------------------------------------------------------------------------------
2.4	Are there any other advantages or disadvantages to running MS Windows 
	applications under Wine that I should be aware of?

As with OS/2, you will be running 16-bit MS Windows applications in a
32-bit operating system using emulation, so you will have the same
advantages and disadvantages. 

There will be crash protection.  That is, each MS Windows application
running under Wine will be running in its own X window and its own portion
of reserved memory, so that if one MS Windows application crashes, it will
not crash the other MS Windows or Unix applications that you may have
running at the same time. 

Also, MS Windows programs should run at about the same speed under Wine as
they do under MS Windows.  When Wine is finished, you will be able to run
your favorite MS Windows applications in a Unix environment, to fill in
the gaps such as the current lack of a full-featured GUI oriented Unix
word processor and spreadsheet. 

The disadvantages are minimal, as you might expect.  However, be aware
that any application written for a 16-bit operating system will run much
less efficiently than its 32-bit cousin, so if you find a 32-bit
application that fits your needs, you will be much better off switching. 

------------------------------------------------------------------------------
2.5	Will Wine support MS Windows networked applications that use Winsock?

Wine will support applications that need WINSOCK.DLL.  You will be able to
run MS Windows applications such as Cello and Mosaic (though there is a
32-bit Unix version of the latter available now). 

------------------------------------------------------------------------------
2.6	I am a software developer who wants to use Unix to develop programs 
	rather than MS-DOS, but I need to write MS-DOS and MS Windows programs
	as well.  Will I be able to do this with Wine libraries?  Or will I 
	at least be able to run my favorite MS-DOS or MS Windows compiler 
	under Wine to compile such programs?

DOSEMU is currently not able to run either the Microsoft C/C++ or Borland
C/C++ compilers because it lacks DPMI (MS-DOS protected mode interface)
support.  Wine is not a MS-DOS emulator, so it cannot run these compilers
either.  Wine is not currently able to run any MS Windows debuggers, and
may not be able to for some time. 

Wine is being designed to run existing MS Windows applications.  Be aware
too that a custom MS Windows program specifically written to be compatible
with Wine may not work the same as when it is run under MS-DOS and MS
Windows. 

------------------------------------------------------------------------------
                                  SECTION 3
           WHAT HARDWARE/SOFTWARE DO I NEED TO HAVE TO USE WINE?
------------------------------------------------------------------------------

3.1	Under what operating system(s) will Wine run?

Unixes currently being tested for Wine compatibility include Linux, NetBSD
and FreeBSD.  The Wine development team hopes to attract the interest of
commercial Unix and Unix clone vendors as well. 

------------------------------------------------------------------------------
3.2	What minimum CPU must I have on my computer to be able to run Wine 
	and MS Windows applications smoothly?

If you can run X, you will be able to run Wine and MS Windows
applications.  This means you should have a fast 386 or better CPU.  As
always, the faster, the better.  The existence of an FPU (floating point
processor, or math coprocessor) is unimportant.  However, having a
graphics accelerated video card supported by X will help greatly. 

------------------------------------------------------------------------------
3.3	How much disk space will the Wine source code and binaries take on 
	my hard drive?

When Wine is completed, you will need approximately 6-8 megabytes of hard
drive space to store and compile the source code, while the Wine binary
currently takes about 800k.  You would have needed more, but Wine
programmers are creating shared libraries to save space and create a more
efficient and faster running Wine. 

------------------------------------------------------------------------------
3.4	How much RAM do I need to have on my Unix system to be able to run 
	Wine and MS Windows applications smoothly?

If you can run X smoothly on your Unix system now, you should be able to
run Wine and MS Windows applications just fine too.  A Wine workstation
should realistically have at least 8 megabytes of RAM and a 12 megabyte
swap partition.  More is better, of course. 
 
------------------------------------------------------------------------------
3.5	I have a Doublespaced or Stacked MS-DOS partition.  Can Wine run 
	MS Windows binaries located in such a partition?

Only if the OS supports mounting those types of drives.  Currently, Linux,
NetBSD, and FreeBSD do not. 

------------------------------------------------------------------------------
3.6	Do I need to have a MS-DOS partition on my system to use Wine?  Does 
	MS Windows need to be loaded into that partition in order to run MS 
	Windows programs under Wine?

When it is finished, Wine will not require that you have a MS-DOS
partition on your system at all, meaning that you will not need to have MS
Windows installed either.  Wine programmers will provide an application
setup program to allow you to install your MS Windows programs straight
from your distribution diskettes into your Unix filesystem, or from within
your Unix filesystem if you ftp an MS Windows program over the Internet. 

------------------------------------------------------------------------------
3.7	If Wine completely replaces MS Windows, will it duplicate all of the 
	functions of MS Windows?

Most of them, yes.  However, some applications that come with MS Windows,
such as File Manager and Calculator, can possibly be considered redundant,
since 32-bit Unix programs that duplicate these functions already exist. 

------------------------------------------------------------------------------
3.8	Will I be able to install MS Windows application programs in any Unix 
	filesystem?

Wine is filesystem independent, so MS Windows applications will install
and run under any Unix supported filesystem. 

------------------------------------------------------------------------------
3.9	Will Wine run only under X, or can it run in character mode?

Being a GUI (graphical user interface), MS Windows does not have a
character mode, so there will likewise be no character mode for Wine.  You
must run Wine under X. 

------------------------------------------------------------------------------
3.10	Will Wine run under any X window manager?

Wine is window manager independent, so the X window manager you choose to
run has absolutely no bearing on your ability to run MS Windows programs
under Wine, whether you use mwm (Motif window manager), olwm (OpenLook
window manager), twm (Tab window manager), fvwm (Feeble virtual window
manager), or whatever you choose that is currently supported by X.  Wine
uses standard X libraries, so no additional ones are needed. 

------------------------------------------------------------------------------
3.11	What happens when Chicago/Win4 is released?  Will 32-bit Chicago and 
	WinNT applications run under Wine?

Wine developers do eventually plan on supporting Win32, but such support
is not in the current version of Wine. 

------------------------------------------------------------------------------
                                    SECTION 4
                 HOW DO I GET, INSTALL, CONFIGURE AND USE WINE?
------------------------------------------------------------------------------

4.1	Where can I get Wine?

Wine is located on quite a few systems on the Internet.  Here is an
incomplete list of systems and their directories in which to find Wine: 

	tsx-11.mit.edu:/pub/linux/ALPHA/Wine/development
	aris.com:/pub/linux/ALPHA/Wine
	ftp.informatik.rwth-aachen.de:/pub/Linux/local/packs
	ftp.thepoint.com:/linux/ALPHA/wine
	ftp.funet.fi:/pub/OS/Linux/ALPHA/Wine
	ftp.wonderland.org:/Wine
	ftp.netcom.com:/pub/dgardner/Wine

Some of these ftp sites may archive previous versions of Wine as well as
the current one.  To determine which is the latest one, look at the
distribution filename, which will take the form: 

	Wine-[yymmdd].tar.gz

Simply replace [yymmdd] in the distribution filename with the numbers for
year, month and date respectively.  The latest one is the one to get.

Note that weekly diff patches are now available, so you don't have to
download, install and configure the entire distribution each week if you
are current to the previous release.  Diff releases follow the same
numbering conventions as do the general releases, and take the form: 

	Wine-[yymmdd].diff.gz

Note that any mirror of tsx-11 will likely carry the Wine distribution as
well, and may not be listed here in this FAQ.  If you are mirroring the
Wine distribution from the tsx-11 site and wish to be listed here in this
FAQ, please send email to the FAQ author/maintainer listed in question
7.2. 

------------------------------------------------------------------------------
4.2	If I do not have an Internet account, how can I get Wine?

Sorry, but at this time, you are basically out of luck.  Find a friend
with an Internet account and have him/her ftp the necessary files for you. 

If you are running a BBS that is not connected to the Internet but does
offer the Wine distribution for download to all comers, and would like to
be listed in this FAQ, please forward such information to the FAQ
author/maintainer as listed in question 7.2

------------------------------------------------------------------------------
4.3	How do I install Wine on my hard drive?

Just un-gzip and un-tar the file, and follow the instructions contained in
the README file that will be located in the base Wine directory. 
â
------------------------------------------------------------------------------
4.4	How do I compile the Wine distribution source code?

Again, simply follow the directions contained in the README file that will
be located in the base Wine directory. 

------------------------------------------------------------------------------
4.5	How do I configure Wine to run on my system?

Again, just follow the directions contained in the README file that will
be located in the base Wine directory. 

------------------------------------------------------------------------------
4.6	How do I run a MS Windows program under Wine?

Assuming you are running X already, call up a term window.  Then, at the
shell prompt, type: 

	wine [/path/programname]

Another X window will pop up on top of the shell window and the binary
should begin to execute. 

Let us assume that you want to run MS Windows Solitaire.  Under MS-DOS,
you installed MS Windows on your C: drive under the subdirectory /WINDOWS. 
Under Unix, you have mounted the C: drive under /dos/drive-c.  To run MS
Windows Solitaire, you would type: 

	wine /drive-c/windows/sol.exe

------------------------------------------------------------------------------
4.7	I have configured Wine, but it cannot find MS Windows on my drive.  
	Where did I go wrong?

First, make sure you have mounted your MS-DOS partition into your Unix
filesystem, either by putting the entry into /etc/fstab, or by manually
mounting it.  Next, check your path statements in the wine.conf file.  No
capital letters may be used in paths, as they are automatically converted
to lowercase. 

------------------------------------------------------------------------------
4.8     I think I have found a bug.  How do I report this bug to the Wine
        programming team?
 
Bug reports should be sent to [email-masked].  These will be forwarded
to the developers mailing list (see questions 5.4 to 5.6) and to the Usenet
newsgroup comp.emulators.ms-windows.wine.

------------------------------------------------------------------------------
4.9	I got some MS Windows programs to run, but their menus do not work.  
	What is wrong now?

Emulation is not complete at this time, so the menus may not work.  They
will in time. 

------------------------------------------------------------------------------
4.10	I have run MS Windows programs but since the program menus do not 
	work, how can I exit these programs?

Kill the shell window that you called up to run MS Windows Solitaire, and
the X window that appeared with Solitaire will be killed too. 

------------------------------------------------------------------------------
4.11	How do I remove Wine from my computer?

All you have to do is to type:

	rm -fR [/path/]Wine*

Make sure you specify the path if you are not in the directory just below 
the Wine distribution's base directory.

If you are afraid you might delete something important, or otherwise might
mess up your system with the powerful rm command, please cd into each Wine
subdirectory and delete the files found there manually, one file or
directory at a time. 

------------------------------------------------------------------------------
                                  SECTION 5
                          WHERE CAN I GET MORE HELP?
------------------------------------------------------------------------------

5.1	Is there a Usenet newsgroup for Wine?

A successful Call For Votes (CFV) was recently held for the creation of
the new, unmoderated newsgroup 'comp.emulators.ms-windows.wine', which
passed with 1476 YES votes, and 26 NO votes, for a total of 1502 valid
votes. There were 36 invalid ballots. 

This new newsgroup will replace the current wine-users mailing list. 
Developers only are urged to move development discussion to the Wine
developers mailing list as detailed in questions 5.4 to 5.6 below. 

There is a five-day discussion period that is occuring at the time of this
writing (July 12, 1994), after which (if no serious allegations of voting
irregularities are raised), the moderator of news.announce.newgroups will
create the group as: 

Newsgroups line:

  comp.emulators.ms-windows.wine       A free MS-Windows emulator under X.

Here is the newsgroup's charter:

Announcements and discussion about Wine, a free MS-Windows API emulator
which will, once it is completed, enable Windows binaries to run under X. 
Comp.emulators.ms-windows.wine will serve as a place for developers to
discuss Wine, and for minor announcements.  Major announcements will be
crossposted to other appropriate groups, such as comp.os.linux.announce,
comp.windows.x.announce and comp.emulators.announce. 

If your Usenet site does not carry this new newsgroup, please urge your 
sysadmin to add it.

------------------------------------------------------------------------------
5.2	Is there a gopher site set up for Wine?

To the best of my knowledge at the time of this writing, no.  If you know
of one or are developing such a site, please contact the FAQ author as
noted in question 7.2 for inclusion in the next edition of the Wine FAQ. 

------------------------------------------------------------------------------
5.3	Is there a WWW site set up for Wine information?

Here are the URLs for a few sites reachable by the World Wide Web server:

	http://www.thepoint.com/linux/ALPHA/wine/index.html
	http://daedalus.dra.hmg.gb/gale/wine/wine.html

------------------------------------------------------------------------------
5.4	Is there a mailing list for Wine?

There is a developers-only mailing list.  If you are a Wine developer, 
or want to become one, you are welcome to join.  Those with general 
interest in the Wine project only should read the newsgroup as detailed 
in question 5.1.

------------------------------------------------------------------------------
5.5	How do I join and participate in the Wine developers mailing list?

To join the list, send email to:

	[email-masked]

Leave the subject line blank.  In the first line of your message, type:

	subscribe wine-developers [YOUR NAME]

To get help on other commands you can issue to the listproc server, type:

	help

To send email to everyone on the wine-users list, use the address:

	[email-masked]

------------------------------------------------------------------------------
5.6	How do I get off the Wine developers mailing list?

Send email to:

	[email-masked]

Leave the subject line blank.  In the first line of your message, type:

	unsubscribe wine-users

------------------------------------------------------------------------------
                                  SECTION 6
                               HOW CAN I HELP?
------------------------------------------------------------------------------

6.1	How can I help contribute to the Wine project, and in what way(s)?

Although the Wine programming team has received some new donations of
money and equipment, they could use more.  Current plans call for the use
of monetary donations to buy programming time from student programmers, as
coding help is also needed. 

Monetary and equipment donations should be sent to: 

	Bob Amstadt
	5059 Wayland Ave.
	San Jose, CA 95118
	USA

Those willing to donate their programming skills should do three things: 

a)	Join the developers mailing list (see questions 5.4 to 5.6).

b)	Read the files DEVELOPERS-HINTS, NEWBIE-PROJECTS and RELEASE, which 
	are available from the ftp sites listed in question 4.1 of this FAQ.

c)	Contact Wine project manager Bob Amstadt <[email-masked]> if you 
	have any further questions after doing all the above.

New releases of Wine are made available to developers nearly every
Tuesday, and all releases are announced to the mailing list. 

------------------------------------------------------------------------------
6.2	I want to help beta test Wine.  How can I do this?

Sorry, beta testers are currently not needed, as Wine is still Alpha code
at this time.  However, anyone is welcome to download the latest version
and try it out. 

------------------------------------------------------------------------------
6.3	I have written some code that I would like to submit to the Wine 
	project.  How do I go about doing this?

A mail alias, [email-masked], has been created specifically for this
purpose.  Please use this mail alias when submitting weekly code
contributions to the Wine project.  This alias has been set up to
automatically send you a reply when your submission is received. 

However, you should still verify that your code was included in the
subsequent release of Wine, as project managers cannot guarantee that the
mail server will not suffer some computer failure that will cause loss of
your message and code after it is received. 

------------------------------------------------------------------------------
                                   SECTION 7
                        WHO IS RESPONSIBLE FOR WINE?
------------------------------------------------------------------------------

7.1	Who is responsible for writing and maintaining the Wine source code?

People who have generously donated time to the Wine project include Bob
Amstadt, Martin Ayotte, Erik Bos, John Brezak, Andrew Bulhak, John Burton,
Peter Galbavy, Jeffery Hsu, Miguel de Icaza, Alexandre Julliard, Scott A.
Laird, Peter MacDonald, David Metcalfe, John Richardson, Johannes
Ruscheinski, Yngvi Sigurjonsson, Linus Torvalds, Carl Williams, Karl
Guenter Wuensch, and Eric Youngdale. 

------------------------------------------------------------------------------
7.2	Who is responsible for writing and maintaining the Wine FAQ?

The one to blame is Dave Gardner <[email-masked]>.  Note that this
individual is not a Wine developer or even a programmer; he is just the
FAQ jockey.  Please feel free to send him comments regarding the content
or form of this FAQ.  Technical questions sent to him regarding the finer
points of Wine internals and other arcane subjects will be compiled and
forwarded to the appropriate persons for answers. 

------------------------------------------------------------------------------
7.3	Who are the folks and/or organizations who have contributed money or 
	equipment to the Wine project?

People and organizations who have given generous contributions of money
and equipment include David L. Harper, Bob Hepple, Mark A. Horton, Kevin
P. Lawton, the Syntropy Institute, and James Woulfe. 

================================[ end ]====================================

-- 
--
Dave Gardner
[email-masked]
South Pasadena, CA